# Review at https://bugzilla.redhat.com/show_bug.cgi?id=499279

Name:           xfce4-cddrive-plugin
Version:        0.0.1
Release:        3%{?dist}
Summary:        Xfce panel plugin to open or close a CD-ROM drive tray

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://goodies.xfce.org/projects/panel-plugins/%{name}
Source0:        http://goodies.xfce.org/releases/%{name}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  xfce4-panel-devel >= 4.3.99.2, exo-devel >= 0.3.2
BuildRequires:  dbus-glib-devel >= 0.71 hal-devel >= 0.5.8.1
BuildRequires:  libcdio-devel >= 0.76, libcddb-devel >= 1.2.1
BuildRequires:  gettext, perl(XML::Parser)
Requires:       xfce4-panel >= 4.4.0, hal

%description
This plugin puts a button in the Xfce panel to open or close a CD-ROM drive 
tray. Additionally, the button icon reports the content of the drive. The icon
indicates if there is a disc in the drive, if it is mounted, and the type of 
the disc (regular CD-ROM, audio, DVD...).  You can also mount or unmount the 
disc via the plugin menu.


%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README THANKS TODO
%{_libexecdir}/xfce4/panel-plugins/%{name}
%{_datadir}/xfce4/panel-plugins/*.desktop


%changelog
* Fri Jan 22 2010 Adrian Reber <adrian@lisas.de> - 0.0.1-3
- Rebuilt for libcdio-0.82

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jul 11 2008 Christoph Wickert <fedora christoph-wickert de> - 0.0.1-1
- Initial Fedora package
